pci_enable_msi
Prev | PCI Support Library | Next

## Name

pci_enable_msi — configure device's MSI capability structure

## Synopsis

`int pci_enable_msi (` | struct pci_dev * | dev`)`;

## Arguments

`dev`

  pointer to the pci_dev data structure of MSI device function

## Description

Setup the MSI capability structure of device function with a single MSI irq upon its software driver call to request for MSI mode enabled on its hardware device function. A return of zero indicates the successful setup of an entry zero with the new MSI irq or non-zero for otherwise.

Prev | Up | Next
pci_dev_present | Home | pci_enable_msix